namespace TM.TransSmart.Pipelines
{
    using System;
    using System.Collections.Generic;
    using Microsoft.BizTalk.PipelineOM;
    using Microsoft.BizTalk.Component;
    using Microsoft.BizTalk.Component.Interop;
    
    
    public sealed class Shipments_XMLReceive : Microsoft.BizTalk.PipelineOM.ReceivePipeline
    {
        
        private const string _strPipeline = "<?xml version=\"1.0\" encoding=\"utf-16\"?><Document xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instanc"+
"e\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" MajorVersion=\"1\" MinorVersion=\"0\">  <Description /> "+
" <CategoryId>f66b9f5e-43ff-4f5f-ba46-885348ae1b4e</CategoryId>  <FriendlyName>Receive</FriendlyName>"+
"  <Stages>    <Stage>      <PolicyFileStage _locAttrData=\"Name\" _locID=\"1\" Name=\"Decode\" minOccurs=\""+
"0\" maxOccurs=\"-1\" execMethod=\"All\" stageId=\"9d0e4103-4cce-4536-83fa-4a5040674ad6\" />      <Component"+
"s>        <Component>          <Name>PipelineComponents.TrackingIdDecodingComponent,TM.Shared.Pipeli"+
"neComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>          <Com"+
"ponentName>TrackingIdDecodingComponent v1.0.2</ComponentName>          <Description>Custom Pipeline "+
"Component used retrieve Context for tracking</Description>          <Version>1.0.2</Version>        "+
"  <Properties>            <Property Name=\"ComponentEnabled\">              <Value xsi:type=\"xsd:strin"+
"g\">TRUE</Value>            </Property>            <Property Name=\"DebugEnabled\">              <Value"+
" xsi:type=\"xsd:string\">FALSE</Value>            </Property>            <Property Name=\"DebugFile\">  "+
"            <Value xsi:type=\"xsd:string\">D:\\LOG\\TrackingIdDecodingComponent v1.0.2_DEBUG.txt</Value>"+
"            </Property>          </Properties>          <CachedDisplayName>TrackingIdDecodingCompone"+
"nt v1.0.2</CachedDisplayName>          <CachedIsManaged>true</CachedIsManaged>        </Component>  "+
"      <Component>          <Name>PipelineComponents.EncodingComponent,TM.Shared.PipelineComponents, "+
"Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>          <ComponentName>Enc"+
"odingComponent v1.3</ComponentName>          <Description>Custom Pipeline Component used to change M"+
"essage Encoding</Description>          <Version>1.3.0.0</Version>          <Properties>            <"+
"Property Name=\"ComponentEnabled\">              <Value xsi:type=\"xsd:string\" />            </Property"+
">            <Property Name=\"OldEncoding\">              <Value xsi:type=\"xsd:string\" />            <"+
"/Property>            <Property Name=\"NewEncoding\">              <Value xsi:type=\"xsd:string\" />    "+
"        </Property>          </Properties>          <CachedDisplayName>EncodingComponent v1.3</Cache"+
"dDisplayName>          <CachedIsManaged>true</CachedIsManaged>        </Component>        <Component"+
">          <Name>PipelineComponents.TrackingComponent,TM.Shared.PipelineComponents, Version=2.0.1.0,"+
" Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>          <ComponentName>TrackingComponent v"+
"2.0.2</ComponentName>          <Description>Custom Pipeline Component used to log messages instead o"+
"f DTA Tracking</Description>          <Version>2.0.2</Version>          <Properties>            <Pro"+
"perty Name=\"ComponentEnabled\">              <Value xsi:type=\"xsd:string\" />            </Property>  "+
"          <Property Name=\"Encoding\">              <Value xsi:type=\"xsd:string\" />            </Prope"+
"rty>            <Property Name=\"PipelineDirection\">              <Value xsi:type=\"xsd:string\" />    "+
"        </Property>            <Property Name=\"PipelineSolution\">              <Value xsi:type=\"xsd:"+
"string\" />            </Property>            <Property Name=\"PipelinePhase\">              <Value xsi"+
":type=\"xsd:string\" />            </Property>            <Property Name=\"SharedMessageType\">         "+
"     <Value xsi:type=\"xsd:string\" />            </Property>            <Property Name=\"Additional1\">"+
"              <Value xsi:type=\"xsd:string\" />            </Property>            <Property Name=\"Addi"+
"tional2\">              <Value xsi:type=\"xsd:string\" />            </Property>            <Property N"+
"ame=\"Additional3\">              <Value xsi:type=\"xsd:string\" />            </Property>            <P"+
"roperty Name=\"Original\">              <Value xsi:type=\"xsd:string\" />            </Property>        "+
"    <Property Name=\"Final\">              <Value xsi:type=\"xsd:string\" />            </Property>     "+
"       <Property Name=\"Level\">              <Value xsi:type=\"xsd:int\">0</Value>            </Propert"+
"y>            <Property Name=\"MessageInDatabase\">              <Value xsi:type=\"xsd:string\" />      "+
"      </Property>          </Properties>          <CachedDisplayName>TrackingComponent v2.0.2</Cache"+
"dDisplayName>          <CachedIsManaged>true</CachedIsManaged>        </Component>        <Component"+
">          <Name>PipelineComponents.ReplaceComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, "+
"Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>          <ComponentName>ReplaceComponent v1."+
"3</ComponentName>          <Description>Custom Pipeline Component used to replace strings in Message"+
" Content (delimiter: |)</Description>          <Version>1.3.0.0</Version>          <Properties>     "+
"       <Property Name=\"ComponentEnabled\">              <Value xsi:type=\"xsd:string\" />            </"+
"Property>            <Property Name=\"OldEncoding\">              <Value xsi:type=\"xsd:string\" />     "+
"       </Property>            <Property Name=\"OldValues\">              <Value xsi:type=\"xsd:string\" "+
"/>            </Property>            <Property Name=\"NewValues\">              <Value xsi:type=\"xsd:s"+
"tring\" />            </Property>            <Property Name=\"NewEncoding\">              <Value xsi:ty"+
"pe=\"xsd:string\" />            </Property>          </Properties>          <CachedDisplayName>Replace"+
"Component v1.3</CachedDisplayName>          <CachedIsManaged>true</CachedIsManaged>        </Compone"+
"nt>        <Component>          <Name>PipelineComponents.NamespaceComponent,TM.Shared.PipelineCompon"+
"ents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>          <ComponentNa"+
"me>NamespaceComponent v1.3</ComponentName>          <Description>Custom Pipeline Component used to A"+
"dd, Remove or Replace the Message Namespace</Description>          <Version>1.3.0.0</Version>       "+
"   <Properties>            <Property Name=\"ComponentEnabled\">              <Value xsi:type=\"xsd:stri"+
"ng\" />            </Property>            <Property Name=\"OldNamespace\">              <Value xsi:type"+
"=\"xsd:string\" />            </Property>            <Property Name=\"NewNamespace\">              <Valu"+
"e xsi:type=\"xsd:string\" />            </Property>          </Properties>          <CachedDisplayName"+
">NamespaceComponent v1.3</CachedDisplayName>          <CachedIsManaged>true</CachedIsManaged>       "+
" </Component>        <Component>          <Name>PipelineComponents.TrackingComponent,TM.Shared.Pipel"+
"ineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>          <Co"+
"mponentName>TrackingComponent v2.0.2</ComponentName>          <Description>Custom Pipeline Component"+
" used to log messages instead of DTA Tracking</Description>          <Version>2.0.2</Version>       "+
"   <Properties>            <Property Name=\"ComponentEnabled\">              <Value xsi:type=\"xsd:stri"+
"ng\" />            </Property>            <Property Name=\"Encoding\">              <Value xsi:type=\"xs"+
"d:string\" />            </Property>            <Property Name=\"PipelineDirection\">              <Val"+
"ue xsi:type=\"xsd:string\" />            </Property>            <Property Name=\"PipelineSolution\">    "+
"          <Value xsi:type=\"xsd:string\" />            </Property>            <Property Name=\"Pipeline"+
"Phase\">              <Value xsi:type=\"xsd:string\" />            </Property>            <Property Nam"+
"e=\"SharedMessageType\">              <Value xsi:type=\"xsd:string\" />            </Property>          "+
"  <Property Name=\"Additional1\">              <Value xsi:type=\"xsd:string\" />            </Property> "+
"           <Property Name=\"Additional2\">              <Value xsi:type=\"xsd:string\" />            </P"+
"roperty>            <Property Name=\"Additional3\">              <Value xsi:type=\"xsd:string\" />      "+
"      </Property>            <Property Name=\"Original\">              <Value xsi:type=\"xsd:string\" />"+
"            </Property>            <Property Name=\"Final\">              <Value xsi:type=\"xsd:string\""+
" />            </Property>            <Property Name=\"MessageInDatabase\">              <Value xsi:ty"+
"pe=\"xsd:string\" />            </Property>            <Property Name=\"Level\">              <Value xsi"+
":type=\"xsd:int\">0</Value>            </Property>          </Properties>          <CachedDisplayName>"+
"TrackingComponent v2.0.2</CachedDisplayName>          <CachedIsManaged>true</CachedIsManaged>       "+
" </Component>      </Components>    </Stage>    <Stage>      <PolicyFileStage _locAttrData=\"Name\" _l"+
"ocID=\"2\" Name=\"Disassemble\" minOccurs=\"0\" maxOccurs=\"-1\" execMethod=\"FirstMatch\" stageId=\"9d0e4105-4"+
"cce-4536-83fa-4a5040674ad6\" />      <Components>        <Component>          <Name>TM.TransSmart.Pip"+
"elineComponents.CPL_Debatch,TM.TransSmart.PipelineComponents, Version=1.0.1.0, Culture=neutral, Publ"+
"icKeyToken=089e5464cda5fc95</Name>          <ComponentName>TransSmart Debatch Disassembler</Componen"+
"tName>          <Description>Streaming TransSmart Debatch Disassembler Component</Description>      "+
"    <Version>1.0</Version>          <Properties />          <CachedDisplayName>TransSmart Debatch Di"+
"sassembler</CachedDisplayName>          <CachedIsManaged>true</CachedIsManaged>        </Component> "+
"     </Components>    </Stage>    <Stage>      <PolicyFileStage _locAttrData=\"Name\" _locID=\"3\" Name="+
"\"Validate\" minOccurs=\"0\" maxOccurs=\"-1\" execMethod=\"All\" stageId=\"9d0e410d-4cce-4536-83fa-4a5040674a"+
"d6\" />      <Components>        <Component>          <Name>PipelineComponents.TrackingComponent,TM.S"+
"hared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d</Name>  "+
"        <ComponentName>TrackingComponent v2.0.2</ComponentName>          <Description>Custom Pipelin"+
"e Component used to log messages instead of DTA Tracking</Description>          <Version>2.0.2</Vers"+
"ion>          <Properties>            <Property Name=\"ComponentEnabled\">              <Value xsi:typ"+
"e=\"xsd:string\" />            </Property>            <Property Name=\"Encoding\">              <Value x"+
"si:type=\"xsd:string\" />            </Property>            <Property Name=\"PipelineDirection\">       "+
"       <Value xsi:type=\"xsd:string\" />            </Property>            <Property Name=\"PipelineSol"+
"ution\">              <Value xsi:type=\"xsd:string\" />            </Property>            <Property Nam"+
"e=\"PipelinePhase\">              <Value xsi:type=\"xsd:string\" />            </Property>            <P"+
"roperty Name=\"SharedMessageType\">              <Value xsi:type=\"xsd:string\" />            </Property"+
">            <Property Name=\"Additional1\">              <Value xsi:type=\"xsd:string\" />            <"+
"/Property>            <Property Name=\"Additional2\">              <Value xsi:type=\"xsd:string\" />    "+
"        </Property>            <Property Name=\"Additional3\">              <Value xsi:type=\"xsd:strin"+
"g\" />            </Property>            <Property Name=\"Original\">              <Value xsi:type=\"xsd"+
":string\" />            </Property>            <Property Name=\"Final\">              <Value xsi:type=\""+
"xsd:string\" />            </Property>            <Property Name=\"MessageInDatabase\">              <V"+
"alue xsi:type=\"xsd:string\" />            </Property>            <Property Name=\"Level\">             "+
" <Value xsi:type=\"xsd:int\">0</Value>            </Property>          </Properties>          <CachedD"+
"isplayName>TrackingComponent v2.0.2</CachedDisplayName>          <CachedIsManaged>true</CachedIsMana"+
"ged>        </Component>      </Components>    </Stage>    <Stage>      <PolicyFileStage _locAttrDat"+
"a=\"Name\" _locID=\"4\" Name=\"ResolveParty\" minOccurs=\"0\" maxOccurs=\"-1\" execMethod=\"All\" stageId=\"9d0e4"+
"10e-4cce-4536-83fa-4a5040674ad6\" />      <Components />    </Stage>  </Stages></Document>";
        
        private const string _versionDependentGuid = "9b458fb3-27e2-4cab-b008-813be116621f";
        
        public Shipments_XMLReceive()
        {
            Microsoft.BizTalk.PipelineOM.Stage stage = this.AddStage(new System.Guid("9d0e4103-4cce-4536-83fa-4a5040674ad6"), Microsoft.BizTalk.PipelineOM.ExecutionMode.all);
            IBaseComponent comp0 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.TrackingIdDecodingComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp0 is IPersistPropertyBag)
            {
                string comp0XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\">TRUE</Value>    </Property>    <Property Name=\"DebugEnabled\"> "+
"     <Value xsi:type=\"xsd:string\">FALSE</Value>    </Property>    <Property Name=\"DebugFile\">      <"+
"Value xsi:type=\"xsd:string\">D:\\LOG\\TrackingIdDecodingComponent v1.0.2_DEBUG.txt</Value>    </Propert"+
"y>  </Properties></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp0XmlProperties);;
                ((IPersistPropertyBag)(comp0)).Load(pb, 0);
            }
            this.AddComponent(stage, comp0);
            IBaseComponent comp1 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.EncodingComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp1 is IPersistPropertyBag)
            {
                string comp1XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"OldEncoding\">      <Value"+
" xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"NewEncoding\">      <Value xsi:type=\"xsd:"+
"string\" />    </Property>  </Properties></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp1XmlProperties);;
                ((IPersistPropertyBag)(comp1)).Load(pb, 0);
            }
            this.AddComponent(stage, comp1);
            IBaseComponent comp2 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.TrackingComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp2 is IPersistPropertyBag)
            {
                string comp2XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Encoding\">      <Value xs"+
"i:type=\"xsd:string\" />    </Property>    <Property Name=\"PipelineDirection\">      <Value xsi:type=\"x"+
"sd:string\" />    </Property>    <Property Name=\"PipelineSolution\">      <Value xsi:type=\"xsd:string\""+
" />    </Property>    <Property Name=\"PipelinePhase\">      <Value xsi:type=\"xsd:string\" />    </Prop"+
"erty>    <Property Name=\"SharedMessageType\">      <Value xsi:type=\"xsd:string\" />    </Property>    "+
"<Property Name=\"Additional1\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name="+
"\"Additional2\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Additional3\"> "+
"     <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Original\">      <Value xsi:ty"+
"pe=\"xsd:string\" />    </Property>    <Property Name=\"Final\">      <Value xsi:type=\"xsd:string\" />   "+
" </Property>    <Property Name=\"Level\">      <Value xsi:type=\"xsd:int\">0</Value>    </Property>    <"+
"Property Name=\"MessageInDatabase\">      <Value xsi:type=\"xsd:string\" />    </Property>  </Properties"+
"></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp2XmlProperties);;
                ((IPersistPropertyBag)(comp2)).Load(pb, 0);
            }
            this.AddComponent(stage, comp2);
            IBaseComponent comp3 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.ReplaceComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp3 is IPersistPropertyBag)
            {
                string comp3XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"OldEncoding\">      <Value"+
" xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"OldValues\">      <Value xsi:type=\"xsd:st"+
"ring\" />    </Property>    <Property Name=\"NewValues\">      <Value xsi:type=\"xsd:string\" />    </Pro"+
"perty>    <Property Name=\"NewEncoding\">      <Value xsi:type=\"xsd:string\" />    </Property>  </Prope"+
"rties></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp3XmlProperties);;
                ((IPersistPropertyBag)(comp3)).Load(pb, 0);
            }
            this.AddComponent(stage, comp3);
            IBaseComponent comp4 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.NamespaceComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp4 is IPersistPropertyBag)
            {
                string comp4XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"OldNamespace\">      <Valu"+
"e xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"NewNamespace\">      <Value xsi:type=\"xs"+
"d:string\" />    </Property>  </Properties></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp4XmlProperties);;
                ((IPersistPropertyBag)(comp4)).Load(pb, 0);
            }
            this.AddComponent(stage, comp4);
            IBaseComponent comp5 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.TrackingComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp5 is IPersistPropertyBag)
            {
                string comp5XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Encoding\">      <Value xs"+
"i:type=\"xsd:string\" />    </Property>    <Property Name=\"PipelineDirection\">      <Value xsi:type=\"x"+
"sd:string\" />    </Property>    <Property Name=\"PipelineSolution\">      <Value xsi:type=\"xsd:string\""+
" />    </Property>    <Property Name=\"PipelinePhase\">      <Value xsi:type=\"xsd:string\" />    </Prop"+
"erty>    <Property Name=\"SharedMessageType\">      <Value xsi:type=\"xsd:string\" />    </Property>    "+
"<Property Name=\"Additional1\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name="+
"\"Additional2\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Additional3\"> "+
"     <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Original\">      <Value xsi:ty"+
"pe=\"xsd:string\" />    </Property>    <Property Name=\"Final\">      <Value xsi:type=\"xsd:string\" />   "+
" </Property>    <Property Name=\"MessageInDatabase\">      <Value xsi:type=\"xsd:string\" />    </Proper"+
"ty>    <Property Name=\"Level\">      <Value xsi:type=\"xsd:int\">0</Value>    </Property>  </Properties"+
"></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp5XmlProperties);;
                ((IPersistPropertyBag)(comp5)).Load(pb, 0);
            }
            this.AddComponent(stage, comp5);
            stage = this.AddStage(new System.Guid("9d0e4105-4cce-4536-83fa-4a5040674ad6"), Microsoft.BizTalk.PipelineOM.ExecutionMode.firstRecognized);
            IBaseComponent comp6 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("TM.TransSmart.PipelineComponents.CPL_Debatch,TM.TransSmart.PipelineComponents, Version=1.0.1.0, Culture=neutral, PublicKeyToken=089e5464cda5fc95");;
            if (comp6 is IPersistPropertyBag)
            {
                string comp6XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties /></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp6XmlProperties);;
                ((IPersistPropertyBag)(comp6)).Load(pb, 0);
            }
            this.AddComponent(stage, comp6);
            stage = this.AddStage(new System.Guid("9d0e410d-4cce-4536-83fa-4a5040674ad6"), Microsoft.BizTalk.PipelineOM.ExecutionMode.all);
            IBaseComponent comp7 = Microsoft.BizTalk.PipelineOM.PipelineManager.CreateComponent("PipelineComponents.TrackingComponent,TM.Shared.PipelineComponents, Version=2.0.1.0, Culture=neutral, PublicKeyToken=db1d2fbb73684f7d");;
            if (comp7 is IPersistPropertyBag)
            {
                string comp7XmlProperties = "<?xml version=\"1.0\" encoding=\"utf-16\"?><PropertyBag xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-inst"+
"ance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">  <Properties>    <Property Name=\"ComponentEnable"+
"d\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Encoding\">      <Value xs"+
"i:type=\"xsd:string\" />    </Property>    <Property Name=\"PipelineDirection\">      <Value xsi:type=\"x"+
"sd:string\" />    </Property>    <Property Name=\"PipelineSolution\">      <Value xsi:type=\"xsd:string\""+
" />    </Property>    <Property Name=\"PipelinePhase\">      <Value xsi:type=\"xsd:string\" />    </Prop"+
"erty>    <Property Name=\"SharedMessageType\">      <Value xsi:type=\"xsd:string\" />    </Property>    "+
"<Property Name=\"Additional1\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name="+
"\"Additional2\">      <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Additional3\"> "+
"     <Value xsi:type=\"xsd:string\" />    </Property>    <Property Name=\"Original\">      <Value xsi:ty"+
"pe=\"xsd:string\" />    </Property>    <Property Name=\"Final\">      <Value xsi:type=\"xsd:string\" />   "+
" </Property>    <Property Name=\"MessageInDatabase\">      <Value xsi:type=\"xsd:string\" />    </Proper"+
"ty>    <Property Name=\"Level\">      <Value xsi:type=\"xsd:int\">0</Value>    </Property>  </Properties"+
"></PropertyBag>";
                PropertyBag pb = PropertyBag.DeserializeFromXml(comp7XmlProperties);;
                ((IPersistPropertyBag)(comp7)).Load(pb, 0);
            }
            this.AddComponent(stage, comp7);
        }
        
        public override string XmlContent
        {
            get
            {
                return _strPipeline;
            }
        }
        
        public override System.Guid VersionDependentGuid
        {
            get
            {
                return new System.Guid(_versionDependentGuid);
            }
        }
    }
}
