namespace TM.TransSmart.Schemas {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.BizTalk.Schema.Compiler", "3.0.1.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [SchemaType(SchemaTypeEnum.Document)]
    [Schema(@"http://TM.TransSmart.Status",@"root")]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"root"})]
    public sealed class Status : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns=""http://TM.TransSmart.Status"" xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" targetNamespace=""http://TM.TransSmart.Status"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""root"">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs=""0"" maxOccurs=""unbounded"" name=""status"">
          <xs:complexType>
            <xs:sequence>
              <xs:element name=""shipment"">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""statusTimeStamp"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""reference"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""NoPieces"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""weight"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""weightUom"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""incoterms"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""statusPrice"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""currency"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""deliveryDate"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""deliveryTime"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""acceptedBy"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""pickupDate"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""shipmentStatus"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""carrierStatusCode"" nillable=""true"" type=""xs:string"" />
                    <xs:element minOccurs=""0"" maxOccurs=""1"" name=""carrierStatusDescription"" nillable=""true"" type=""xs:string"" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attribute name=""carrier"" type=""xs:string"" use=""optional"" />
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>";
        
        public Status() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [1];
                _RootElements[0] = "root";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
    }
}
